上記の広告は1ヶ月以上更新のないブログに表示されています。
    新しい記事を書く事で広告が消せます。

    Ruby Watir Install (watir-1.5.1.1230.gem) インストール履歴

    Ruby Watir 1.4 の調子が悪いので
    (WARN -- : frame error in waitdocument)
    Watir1.5を入れてみることにする。

    普通に
    gem install watir
    とやると、
    1.4が入ってしまうので、
    ここから

    <1>
    Gem(watir-1.5.1.1230.gem)を取ってくる。

    <2>
    gem uninstall watir
    でWatir1.4をアンインストールする。

    gem install watir-1.5.1.1230.gem
    をダウンロードした、watir-1.5.1.1230.gemがあるディレクトリで実行する。

    実行するとエラーが出ました。
    ERROR: Error installing gem watir-1.5.1.1230[.gem]: watir requires win32-proces
    s >= 0.5.1

    win32-processというモジュールが無いらしい。

    というわけで、win32-processをインストールすると次々に必要なものを入れさせられる。
    <3>
    gem install win32-process
    Select which gem to install for your platform (i386-mswin32)
    1. win32-process 0.5.3 (ruby)
    2. win32-process 0.5.2 (ruby)
    3. win32-process 0.5.1 (ruby)
    4. win32-process 0.5.0 (mswin32)
    5. win32-process 0.4.2 (mswin32)
    6. win32-process 0.4.1 (mswin32)
    7. win32-process 0.4.0 (mswin32)
    8. Cancel installation
    > 1
    Install required dependency windows-pr? [Yn] y
    Select which gem to install for your platform (i386-mswin32)
    1. windows-pr 0.7.0 (ruby)
    2. windows-pr 0.6.6 (ruby)
    3. windows-pr 0.6.5 (ruby)
    4. windows-pr 0.6.4 (ruby)
    5. windows-pr 0.6.3 (ruby)
    6. windows-pr 0.6.2 (ruby)
    7. windows-pr 0.6.0 (ruby)
    8. windows-pr 0.5.5 (ruby)
    9. windows-pr 0.5.4 (ruby)
    10. windows-pr 0.5.3 (ruby)
    11. windows-pr 0.5.2 (mswin32)
    12. Cancel installation
    > 1
    Install required dependency windows-api? [Yn] y
    Successfully installed win32-process-0.5.3
    Successfully installed windows-pr-0.7.0
    Successfully installed windows-api-0.1.1
    Installing ri documentation for win32-process-0.5.3...
    Installing ri documentation for windows-pr-0.7.0...
    Installing ri documentation for windows-api-0.1.1...
    Installing RDoc documentation for win32-process-0.5.3...
    Installing RDoc documentation for windows-pr-0.7.0...
    Installing RDoc documentation for windows-api-0.1.1...

    <4>
    再び、
    gem install watir-1.5.1.1230.gem

    Successfully installed watir, version 1.5.1.1230
    Installing ri documentation for watir-1.5.1.1230...
    Installing RDoc documentation for watir-1.5.1.1230...

    以上!

    さて、frameエラーが解消されるかどうか・・・

    コメントの投稿

    非公開コメント

    Google広告
    Amazon商品紹介
    Amazon
    楽天
    最新記事
    最新コメント
    最新トラックバック
    月別アーカイブ
    プロフィール

    アブラクサス太郎

    Author:アブラクサス太郎
    FC2ブログへようこそ!

    カテゴリ
    検索フォーム
    RSSリンクの表示
    リンク
    ブロとも申請フォーム

    この人とブロともになる

    QRコード
    QR
    上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。